﻿
Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations
Imports System.Xml.Serialization

Namespace ResponseData

    <Serializable>
    Public Class GetEquipmentResponse
        Private ContainersField As Containers

        <XmlElement(ElementName:="Containers")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Containers() As Containers
            Get
                Return Me.ContainersField
            End Get
            Set
                Me.ContainersField = Value
            End Set
        End Property
    End Class

    <Serializable>
    Public Class Containers
        Private ContainersListe As List(Of Container)

        Public Sub New()
            ContainersListe = New List(Of Container)
        End Sub

        Public Sub Add(pContainer As Container)
            ContainersListe.Add(pContainer)
        End Sub

        <XmlElement(ElementName:="Container")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ContainerListe() As List(Of Container)
            Get
                Return Me.ContainersListe
            End Get
            Set
                Me.ContainersListe = Value
            End Set
        End Property
    End Class

    <Serializable>
    Public Class Container

        '''<remarks/>
        <XmlElement(ElementName:="EquipmentNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property EquipmentNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="EquipmentDescription")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property EquipmentDescription() As String

        '''<remarks/>
        <XmlElement(ElementName:="SearchDescription")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property SearchDescription() As String

        '''<remarks/>
        <XmlElement(ElementName:="EquipmentDescription2")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property EquipmentDescription2() As String

        '''<remarks/>
        <XmlElement(ElementName:="EquipmentGroupCode")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property EquipmentGroupCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="BaseUnit")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property BaseUnit() As String

        '''<remarks/>
        <XmlElement(ElementName:="LastDateModified")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property LastDateModified() As Date

        '''<remarks/>
        <XmlElement(ElementName:="WeightInTons")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property WeightInTons() As Decimal

        '''<remarks/>
        <XmlElement(ElementName:="Blocked")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Blocked() As Boolean

        '''<remarks/>
        <XmlElement(ElementName:="CapacityInCubicMeters")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property CapacityInCubicMeters() As Decimal

    End Class

End Namespace
