﻿
Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations
Imports System.Xml.Serialization

Namespace ResponseData

    <Serializable>
    Public Class GetInvoiceResponse
        Private InvoicesField As Invoices

        <XmlElement(ElementName:="Invoices")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Invoices() As Invoices
            Get
                Return Me.InvoicesField
            End Get
            Set
                Me.InvoicesField = Value
            End Set
        End Property
    End Class

    <Serializable>
    Public Class Invoices
        Private InvoicesListe As List(Of Invoice)

        Public Sub New()
            InvoicesListe = New List(Of Invoice)
        End Sub

        Public Sub Add(pInvoice As Invoice)
            InvoicesListe.Add(pInvoice)
        End Sub

        <XmlElement(ElementName:="Invoice")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property InvoiceListe() As List(Of Invoice)
            Get
                Return Me.InvoicesListe
            End Get
            Set
                Me.InvoicesListe = Value
            End Set
        End Property
    End Class

    <Serializable>
    Public Class Invoice

        '''<remarks/>
        <XmlElement(ElementName:="DocumentNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DocumentNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="No")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property No() As String

        '''<remarks/>
        <XmlElement(ElementName:="DocumentDate")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DocumentDate() As Date

        '''<remarks/>
        <XmlElement(ElementName:="TaskDate")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TaskDate() As Date

        '''<remarks/>
        <XmlElement(ElementName:="DocumentType")>
        <MaxLength(2)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DocumentType() As String

        '''<remarks/>
        <XmlElement(ElementName:="InvoiceWithNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property InvoiceWithNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="BusinessType")>
        <MaxLength(2)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property BusinessType() As String

        '''<remarks/>
        <XmlElement(ElementName:="Quantity")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Quantity() As Decimal

        '''<remarks/>
        <XmlElement(ElementName:="UnitOfMeasure")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property UnitOfMeasure() As String

        '''<remarks/>
        <XmlElement(ElementName:="UnitPrice")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property UnitPrice() As Decimal

        '''<remarks/>
        <XmlElement(ElementName:="Amount")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Amount() As Decimal

        '''<remarks/>
        <XmlElement(ElementName:="VAT")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property VAT() As Decimal

        '''<remarks/>
        <XmlElement(ElementName:="CurrencyCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property CurrencyCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="WasteMgtOrderNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property WasteMgtOrderNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="OrderJobNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property OrderJobNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="JobNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property JobNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="LineNo")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property LineNo() As Integer

        '''<remarks/>
        <XmlElement(ElementName:="ExternalDocumentNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ExternalDocumentNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="ExternalBillofDeliveryNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ExternalBillOfDeliveryNo() As String

    End Class

End Namespace
