﻿
Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations
Imports System.Xml.Serialization

Namespace ResponseData

    <Serializable>
    Public Class GetStatusResponse
        Private ResponsesField As StatusResponses

        <XmlElement(ElementName:="Responses")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Responses() As StatusResponses
            Get
                Return Me.ResponsesField
            End Get
            Set
                Me.ResponsesField = Value
            End Set
        End Property
    End Class

    <Serializable>
    Public Class StatusResponses
        Private ResponsesListe As List(Of StatusResponse)

        Public Sub New()
            ResponsesListe = New List(Of StatusResponse)
        End Sub

        Public Sub Add(pStatusResponse As StatusResponse)
            ResponsesListe.Add(pStatusResponse)
        End Sub

        <XmlElement(ElementName:="Response")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ResponseListe() As List(Of StatusResponse)
            Get
                Return Me.ResponsesListe
            End Get
            Set
                Me.ResponsesListe = Value
            End Set
        End Property
    End Class

    <Serializable>
    Public Class StatusResponse

        '''<remarks/>
        <XmlElement(ElementName:="InputID")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property InputID() As String

        '''<remarks/>
        <XmlElement(ElementName:="TicketID")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TicketID() As String

        '''<remarks/>
        <XmlElement(ElementName:="StatusID")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property StatusID() As Integer

        '''<remarks/>
        <XmlElement(ElementName:="StatusDescription")>
        <MaxLength(200)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property StatusDescription() As String

        '''<remarks/>
        <XmlElement(ElementName:="ErrorInfo")>
        <MaxLength(1024)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ErrorInfo() As String

        '''<remarks/>
        <XmlElement(ElementName:="EnwisID")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property EnwisID() As String

        '''<remarks/>
        <XmlElement(ElementName:="ConfirmationID")>
        <MaxLength(5)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ConfirmationID() As String

    End Class

End Namespace
