﻿
Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations
Imports System.Xml.Serialization

Namespace ResponseData

    <Serializable>
    Public Class GetWtnResponse
        Private WTNsField As WTNs

        <XmlElement(ElementName:="WTNs")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property WTNs() As WTNs
            Get
                Return Me.WTNsField
            End Get
            Set
                Me.WTNsField = Value
            End Set
        End Property
    End Class

    <Serializable>
    Public Class WTNs
        Private WTNsListe As List(Of WTN)

        Public Sub New()
            WTNsListe = New List(Of WTN)
        End Sub

        Public Sub Add(pOrder As WTN)
            WTNsListe.Add(pOrder)
        End Sub

        <XmlElement(ElementName:="WTN")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property WTNListe() As List(Of WTN)
            Get
                Return Me.WTNsListe
            End Get
            Set
                Me.WTNsListe = Value
            End Set
        End Property
    End Class

    <Serializable>
    Public Class WTN

        '''<remarks/>
        <XmlElement(ElementName:="OfficialWTNNo")>
        <MaxLength(12)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property OfficialWTNNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="Description")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Description() As String

        '''<remarks/>
        <XmlElement(ElementName:="OfficialWasteProducerNumber")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property OfficialWasteProducerNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="DisposalEnterpriseNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DisposalEnterpriseNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="DisposalSiteCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DisposalSiteCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="ValidFrom")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ValidFrom() As Date

        '''<remarks/>
        <XmlElement(ElementName:="ValidTrough")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ValidTrough() As Date

        '''<remarks/>
        <XmlElement(ElementName:="Type")>
        <MaxLength(2)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Type() As String

        '''<remarks/>
        <XmlElement(ElementName:="RoD")>
        <MaxLength(2)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property RoD() As String

        '''<remarks/>
        <XmlElement(ElementName:="ExtMaterialCatalog")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ExtMaterialCatalog() As String

        '''<remarks/>
        <XmlElement(ElementName:="MovementFromType")>
        <MaxLength(2)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property MovementFromType() As String

        '''<remarks/>
        <XmlElement(ElementName:="CarrierNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property CarrierNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="ProcessR")>
        <MaxLength(2)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ProcessR() As String

        '''<remarks/>
        <XmlElement(ElementName:="ProcessD")>
        <MaxLength(2)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ProcessD() As String

        '''<remarks/>
        <XmlElement(ElementName:="MaterialRecycling")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property MaterialRecycling() As Integer

        '''<remarks/>
        <XmlElement(ElementName:="EnergyRecovery")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property EnergyRecovery() As Integer

        '''<remarks/>
        <XmlElement(ElementName:="Disposed")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Disposed() As Integer

        '''<remarks/>
        <XmlElement(ElementName:="NeitherRecycledNorDisposed")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property NeitherRecycledNorDisposed() As Integer

        '''<remarks/>
        <XmlElement(ElementName:="CustomerNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property CustomerNo() As String

        '''<remarks/>
        <XmlElement(ElementName:="CustomerTaskSiteCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property CustomerTaskSiteCode() As String

        '''<remarks/>
        <XmlElement(ElementName:="Area")>
        <MaxLength(60)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Area() As String

        '''<remarks/>
        <XmlElement(ElementName:="Area2")>
        <MaxLength(60)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Area2() As String

        '''<remarks/>
        <XmlElement(ElementName:="InternalWasteDesc")>
        <MaxLength(70)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property InternalWasteDesc() As String

        '''<remarks/>
        <XmlElement(ElementName:="PreTreatment")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property PreTreatment() As Boolean

        '''<remarks/>
        <XmlElement(ElementName:="ConsistencySolid")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ConsistencySolid() As Boolean

        '''<remarks/>
        <XmlElement(ElementName:="ConsistencyImpenetrable")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ConsisatencyImpenetrable() As Boolean

        '''<remarks/>
        <XmlElement(ElementName:="ConsistencyPasteLike")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ConsistencyPasteLike() As Boolean

        '''<remarks/>
        <XmlElement(ElementName:="ConsistencyDustLike")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ConsistencyDustLike() As Boolean

        '''<remarks/>
        <XmlElement(ElementName:="ConsistencyLiquid")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ConsistencyLiquid() As Boolean

        '''<remarks/>
        <XmlElement(ElementName:="Color")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Color() As String

        '''<remarks/>
        <XmlElement(ElementName:="Odor")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Odor() As String

        '''<remarks/>
        <XmlElement(ElementName:="AnnualQuantity")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property AnnualQuantity() As Decimal

        '''<remarks/>
        <XmlElement(ElementName:="TransferFrequency")>
        <MaxLength(1)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TransferFrequency() As String

        '''<remarks/>
        <XmlElement(ElementName:="DoRSignatureCity")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DoRSignaturCity() As String

        '''<remarks/>
        <XmlElement(ElementName:="DoRSignatureDate")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DoRSignatureDate() As Date

        '''<remarks/>
        <XmlElement(ElementName:="DoADoc")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DoADoc() As Boolean

        '''<remarks/>
        <XmlElement(ElementName:="DoAConcept")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DoAConcept() As Boolean

        '''<remarks/>
        <XmlElement(ElementName:="DoABalance")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DoABalance() As Boolean

        '''<remarks/>
        <XmlElement(ElementName:="DoAExemption")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DoAExemption() As Boolean

        '''<remarks/>
        <XmlElement(ElementName:="DoASignatureCity")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DoASignaturCity() As String

        '''<remarks/>
        <XmlElement(ElementName:="DoRSignatureDate")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DoRSignaturDate() As Date

        '''<remarks/>
        <XmlElement(ElementName:="InternalDisposal")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property InternalDisposal() As Boolean

        '''<remarks/>
        <XmlElement(ElementName:="PlantExemption")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property PlantExemption() As Boolean

        '''<remarks/>
        <XmlElement(ElementName:="PlantCertificateOfExemption")>
        <MaxLength(12)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property PlantCertificateOfExemption() As String

    End Class

End Namespace
