﻿
Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations
Imports System.Xml.Serialization

Namespace SetData

    <Serializable>
    Public Class SetOrder

        Private ordersField As Orders

        <XmlElement(ElementName:="Orders")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Orders() As Orders
            Get
                Return Me.ordersField
            End Get
            Set
                Me.ordersField = Value
            End Set
        End Property

    End Class

    <Serializable>
    Public Class Orders
        Private orderListe As List(Of Order)

        Public Sub New()
            orderListe = New List(Of Order)
        End Sub

        Public Sub Add(pOrder As Order)
            orderListe.Add(pOrder)
        End Sub

        <XmlElement(ElementName:="Order")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property OrdersListe() As List(Of Order)
            Get
                Return Me.orderListe
            End Get
            Set
                Me.orderListe = Value
            End Set
        End Property


    End Class

    <Serializable>
    Public Class Order

        Private requestIDField As String
        Private orderNumberField As String
        Private customerNumberField As String
        Private taskSiteField As String
        Private taskDateField As String
        Private statusField As String
        Private serviceNumberField As String
        Private invoiceWithNoField As String
        Private quantityField As String
        Private unitField As String
        Private priceField As String
        Private priceFixedField As Boolean
        Private lumpSumField As Boolean
        Private avvCodeField As String
        Private wasteTransferNumberField As String
        Private movementFormNumberField As String
        Private weightTransferNoteField As String
        Private externalDocumentNumberField As String
        Private carrierNumberField As String
        Private disposalEnterpriseNumberField As String
        Private disposalEnterpriseSiteCodeField As String
        Private orderJobNumberField As String
        Private storageLocationCodeField As String
        Private externalDeliveryNoteField As String
        Private postingTypeField As String
        Private commentField As String
        Private confirmationIDField As String
        Private equipmentNoField As String
        Private quantityToDriveField As String

        Public Sub New()
            requestIDField = ""
            orderNumberField = ""
            customerNumberField = ""
            taskSiteField = ""
            taskDateField = ""
            statusField = ""
            serviceNumberField = ""
            invoiceWithNoField = ""
            quantityField = ""
            unitField = ""
            priceField = ""
            priceFixedField = False
            lumpSumField = False
            avvCodeField = ""
            wasteTransferNumberField = ""
            movementFormNumberField = ""
            weightTransferNoteField = ""
            externalDocumentNumberField = ""
            carrierNumberField = ""
            disposalEnterpriseNumberField = ""
            disposalEnterpriseSiteCodeField = ""
            orderJobNumberField = ""
            storageLocationCodeField = ""
            externalDeliveryNoteField = ""
            postingTypeField = ""
            commentField = ""
            confirmationIDField = ""
            equipmentNoField = ""
            quantityToDriveField = ""
        End Sub

        '''<remarks/>
        <XmlElement(ElementName:="RequestID")>
        <MaxLength(50)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property RequestID() As String
            Get
                Return Me.requestIDField
            End Get
            Set
                Me.requestIDField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="OrderNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property OrderNumber() As String
            Get
                Return Me.orderNumberField
            End Get
            Set
                Me.orderNumberField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="CustomerNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property CustomerNumber() As String
            Get
                Return Me.customerNumberField
            End Get
            Set
                Me.customerNumberField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="TaskSite")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TaskSite() As String
            Get
                Return Me.taskSiteField
            End Get
            Set
                Me.taskSiteField = Value
            End Set
        End Property

        '''<remarks/>
        ''' Format: YYYY-MM-DD
        <XmlElement(ElementName:="TaskDate")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TaskDate() As String
            Get
                Return Me.taskDateField
            End Get
            Set
                Me.taskDateField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Status")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Status() As String
            Get
                Return Me.statusField
            End Get
            Set
                Me.statusField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="ServiceNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ServiceNumber() As String
            Get
                Return Me.serviceNumberField
            End Get
            Set
                Me.serviceNumberField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="InvoiceWithNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property InvoiceWithNo() As String
            Get
                Return Me.invoiceWithNoField
            End Get
            Set
                Me.invoiceWithNoField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Quantity")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Quantity() As String
            Get
                Return Me.quantityField
            End Get
            Set
                Me.quantityField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Unit")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Unit() As String
            Get
                Return Me.unitField
            End Get
            Set
                Me.unitField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Price")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Price() As String
            Get
                Return Me.priceField
            End Get
            Set
                Me.priceField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="PriceFixed")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property PriceFixed() As Boolean 
            Get
                Return Me.priceFixedField
            End Get
            Set
                Me.priceFixedField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="LumpSum")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property LumpSum() As Boolean
            Get
                Return Me.lumpSumField
            End Get
            Set
                Me.lumpSumField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="AvvCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property AvvCode() As String
            Get
                Return Me.avvCodeField
            End Get
            Set
                Me.avvCodeField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="WasteTransferNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property WasteTransferNumber() As String
            Get
                Return Me.wasteTransferNumberField
            End Get
            Set
                Me.wasteTransferNumberField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="MovementFormNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property MovementFormNumber() As String
            Get
                Return Me.movementFormNumberField
            End Get
            Set
                Me.movementFormNumberField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="WeightTransferNote")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property WeightTransferNote() As String
            Get
                Return Me.weightTransferNoteField
            End Get
            Set
                Me.weightTransferNoteField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="ExternalDocumentNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ExternalDocumentNumber() As String
            Get
                Return Me.externalDocumentNumberField
            End Get
            Set
                Me.externalDocumentNumberField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="CarrierNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property CarrierNumber() As String
            Get
                Return Me.carrierNumberField
            End Get
            Set
                Me.carrierNumberField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="DisposalEnterpriseNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DisposalEnterpriseNumber() As String
            Get
                Return Me.disposalEnterpriseNumberField
            End Get
            Set
                Me.disposalEnterpriseNumberField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="DisposalEnterpriseSiteCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property DisposalEnterpriseSiteCode() As String
            Get
                Return Me.disposalEnterpriseSiteCodeField
            End Get
            Set
                Me.disposalEnterpriseSiteCodeField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="OrderJobNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property OrderJobNumber() As String
            Get
                Return Me.orderJobNumberField
            End Get
            Set
                Me.orderJobNumberField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="StorageLocationCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property StorageLocationCode() As String
            Get
                Return Me.storageLocationCodeField
            End Get
            Set
                Me.storageLocationCodeField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="ExternalDeliveryNote")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ExternalDeliveryNote() As String
            Get
                Return Me.externalDeliveryNoteField
            End Get
            Set
                Me.externalDeliveryNoteField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="PostingType")>
        <MaxLength(2)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property PostingType() As String
            Get
                Return Me.postingTypeField
            End Get
            Set
                Me.postingTypeField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Comment")>
        <MaxLength(50)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Comment() As String
            Get
                Return Me.commentField
            End Get
            Set
                Me.commentField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="ConfirmationID")>
        <MaxLength(5)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ConfirmationID() As String
            Get
                Return Me.confirmationIDField
            End Get
            Set
                Me.confirmationIDField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="EquipmentNo")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property EquipmentNo() As String
            Get
                Return Me.equipmentNoField
            End Get
            Set
                Me.equipmentNoField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Quantityto Drive")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property QuantityToDrive() As String
            Get
                Return Me.quantityToDriveField
            End Get
            Set
                Me.quantityToDriveField = Value
            End Set
        End Property

    End Class

End Namespace
