﻿
Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations
Imports System.Xml.Serialization

Namespace SetData

    <Serializable>
    Public Class SetTasksite

        Private TaskSitesField As Tasksites

        <XmlElement(ElementName:="Tasksites")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Tasksites() As Tasksites
            Get
                Return Me.TaskSitesField
            End Get
            Set
                Me.TaskSitesField = Value
            End Set
        End Property

    End Class

    <Serializable>
    Public Class Tasksites
        Private taskSiteListe As List(Of Tasksite)

        Public Sub New()
            taskSiteListe = New List(Of Tasksite)
        End Sub

        Public Sub Add(pTaskSite As Tasksite)
            taskSiteListe.Add(pTaskSite)
        End Sub

        <XmlElement(ElementName:="Tasksite")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TasksitesListe() As List(Of Tasksite)
            Get
                Return Me.taskSiteListe
            End Get
            Set
                Me.taskSiteListe = Value
            End Set
        End Property

    End Class

    <Serializable>
    Public Class Tasksite

        Private requestIDField As String
        Private customerIDField As String
        Private taskSiteField As String
        Private nameField As String
        Private name2Field As String
        Private addressField As String
        Private address2Field As String
        Private postalCodeField As String
        Private cityField As String
        Private countryField As String
        Private areaCodeField As String
        Private phoneField As String
        Private faxField As String
        Private emailField As String
        Private websiteField As String
        Private wasteProducerNumberField As String

        Public Sub New()
            requestIDField = ""
            customerIDField = ""
            taskSiteField = ""
            nameField = ""
            name2Field = ""
            addressField = ""
            address2Field = ""
            postalCodeField = ""
            cityField = ""
            countryField = ""
            areaCodeField = ""
            phoneField = ""
            faxField = ""
            emailField = ""
            websiteField = ""
            wasteProducerNumberField = ""
        End Sub

        '''<remarks/>
        <XmlElement(ElementName:="RequestID")>
        <MaxLength(50)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property RequestID() As String
            Get
                Return Me.requestIDField
            End Get
            Set
                Me.requestIDField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="CustomerID")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property CustomerID() As String
            Get
                Return Me.customerIDField
            End Get
            Set
                Me.customerIDField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="TaskSite")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TaskSite() As String
            Get
                Return Me.taskSiteField
            End Get
            Set
                Me.taskSiteField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Name")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Name() As String
            Get
                Return Me.nameField
            End Get
            Set
                Me.nameField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Name2")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Name2() As String
            Get
                Return Me.name2Field
            End Get
            Set
                Me.name2Field = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Address")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Address() As String
            Get
                Return Me.addressField
            End Get
            Set
                Me.addressField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Address2")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Address2() As String
            Get
                Return Me.address2Field
            End Get
            Set
                Me.address2Field = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="PostalCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property PostalCode() As String
            Get
                Return Me.postalCodeField
            End Get
            Set
                Me.postalCodeField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Phone")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Phone() As String
            Get
                Return Me.phoneField
            End Get
            Set
                Me.phoneField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Fax")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Fax() As String
            Get
                Return Me.faxField
            End Get
            Set
                Me.faxField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Email")>
        <MaxLength(80)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Email() As String
            Get
                Return Me.emailField
            End Get
            Set
                Me.emailField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="City")>
        <MaxLength(30)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property City() As String
            Get
                Return Me.cityField
            End Get
            Set
                Me.cityField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Country")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Country() As String
            Get
                Return Me.countryField
            End Get
            Set
                Me.countryField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="Website")>
        <MaxLength(80)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Website() As String
            Get
                Return Me.websiteField
            End Get
            Set
                Me.websiteField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="WasteProducerNumber")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property WasteProducerNumber() As String
            Get
                Return Me.wasteProducerNumberField
            End Get
            Set
                Me.wasteProducerNumberField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="AreaCode")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property AreaCode() As String
            Get
                Return Me.areaCodeField
            End Get
            Set
                Me.areaCodeField = Value
            End Set
        End Property

    End Class

End Namespace
